#ExclusiveArch: i386 x86_64

#BuildRequires: perl(XML::XPath)
BuildRequires: eclipse-pde
BuildRequires: javacc
BuildRequires: ant >= 1.6
BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: eclipse-setools >= 3.3.2
BuildRequires: java-gcj-compat >= 1.0.33
BuildRequires: ganymed-ssh2

## The source for this package was pulled from upstream's svn repo.
## Use the following commands to generate the tarball:
# mkdir eclipse-slide
# cd eclipse-slide
# svn export http://oss.tresys.com/repos/slide/tags/%{version}/slide-plugin slide-plugin
# svn export http://oss.tresys.com/repos/slide/tags/%{version}/eclipse-feature eclipse-feature
# svn export http://oss.tresys.com/repos/slide/tages/%{version}/com.tresys.slide.doc.user slide-help
# tar -czvf eclipse-slide.tar.gz *
#Source0: %{name}.tar.gz
#Release: 0.1.svn2029%{?dist}

Source0: http://oss.tresys.com/projects/slide/chrome/site/src/%{name}-%{version}.tar.gz
Release: 1%{?dist}

%define eclipse_name		eclipse
%define eclipse_base		%{_datadir}/%{eclipse_name}
%define eclipse_lib_base	%{_libdir}/%{eclipse_name}
%define svnbase			http://oss.tresys.com/repos/slide/trunk/

#get version numbers from eclipse plugin files
#%define version		%(tar -Oxzf ${RPM_SOURCE_DIR}/%{SOURCE0} eclipse-feature/feature.xml | xpath /feature/@version 2> /dev/null | cut -d '"' -f 2)
#%define plugin_ver	%(tar -Oxzf ${RPM_SOURCE_DIR}/%{SOURCE0} slide-plugin/META-INF/MANIFEST.MF | grep Bundle-Version | cut -d : -f 2 | tr -d " ")
#%define help_ver	%(tar -Oxzf ${RPM_SOURCE_DIR}/%{SOURCE0} slide-help/META-INF/MANIFEST.MF | grep Bundle-Version | cut -d : -f 2 | tr -d " ")


Summary: SELinux policy editing plugin for Eclipse
Name: eclipse-slide
Version: 1.3.8

License: GPLv2
BuildArch: noarch
Group: Development/Tools
URL: http://oss.tresys.com/projects/slide
Requires: eclipse-platform >= 3.2
Requires: ganymed-ssh2
Requires: java-gcj-compat >= 1.0.33
Requires: eclipse-setools >= 3.3.2.2
Requires: policycoreutils >= 1.34
ExclusiveOS: linux

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
SLIDE is an integrated development environment (IDE) for Security Enhanced 
Linux (SELinux) developers and integrators. 
SLIDE provides features to make the task of SELinux policy development and 
testing easier.  This is achieved by providing wizards to automate common 
tasks and by providing developer-friendly features.  SLIDE is also designed 
for use with the SELinux Reference Policy, another open source project by 
Tresys that has become the standard SELinux security policy.

SLIDE Features include:
A graphical user interface for policy development, including policy syntax 
highlighting and integrated compilation.
Integration with SELinux Reference Policy.
Support for both modular and monolithic SELinux policy development.
Wizards to create complete SELinux policies as well as individual policy 
modules.
Integrated remote policy installation and audit monitoring, to facilitate 
policy testing. 
Seamless integration with the power of standard Eclipse. 

%prep
%setup -q -c -n eclipse-slide

%build 
cd slide-plugin
ant -f rpmbuild.xml buildjar
cd ../slide-help
ant -f rpmbuild.xml

%install

PLUGIN_VER=`grep Bundle-Version slide-plugin/META-INF/MANIFEST.MF | cut -d : -f 2 | tr -d " "`
HELP_VER=`grep Bundle-Version slide-help/META-INF/MANIFEST.MF | cut -d : -f 2 | tr -d " "`

PLUGIN_DIR=%{eclipse_base}/plugins/com.tresys.slide_${PLUGIN_VER}
HELP_JAR=%{eclipse_base}/plugins/com.tresys.slide.doc.user_${HELP_VER}.jar
FEATURE_DIR=%{eclipse_base}/features/com.tresys.slide_%{version}

rm -rf ${RPM_BUILD_ROOT}
install -pd -m755 ${RPM_BUILD_ROOT}${FEATURE_DIR}
install -pd -m755 ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -pd -m755 ${RPM_BUILD_ROOT}${PLUGIN_DIR}/META-INF


install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/SLIDE.jar ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/COPYING ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/plugin.xml ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/plugin.properties ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/about.html ${RPM_BUILD_ROOT}${PLUGIN_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/META-INF/MANIFEST.MF ${RPM_BUILD_ROOT}${PLUGIN_DIR}/META-INF

cp -pR ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/lib ${RPM_BUILD_ROOT}${PLUGIN_DIR}/lib
ln -sf ../../../../java/ganymed-ssh2.jar ${RPM_BUILD_ROOT}/${PLUGIN_DIR}/lib/ganymed-ssh2.jar
cp -pR ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/icons ${RPM_BUILD_ROOT}${PLUGIN_DIR}/icons
cp -pR ${RPM_BUILD_DIR}/eclipse-slide/slide-plugin/resources ${RPM_BUILD_ROOT}${PLUGIN_DIR}/resources

install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/eclipse-feature/feature.xml ${RPM_BUILD_ROOT}${FEATURE_DIR}
install -p -m644 ${RPM_BUILD_DIR}/eclipse-slide/slide-help/help.jar ${RPM_BUILD_ROOT}${HELP_JAR}


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
	%{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
	%{_bindir}/rebuild-gcj-db
fi

%files
%defattr(-,root,root,-)
%{eclipse_base}/plugins/com.tresys.slide*/
%{eclipse_base}/features/com.tresys.slide*/

%changelog
* Wed Feb 13 2008 Dave Sugar <dsugar@tresys.com> - 1.3.8-1
- updates to support CDS Framework development

* Mon Dec 31 2007 Dave Sugar <dsugar@tresys.com> - 1.3.6-3
- fixed minor problem in new module wizard 

* Fri Dec 28 2007 Dave Sugar <dsugar@tresys.com> - 1.3.6-2
- plugin version in feature was not correct.

* Fri Dec 28 2007 Dave Sugar <dsugar@treyss.com> - 1.3.6-1
- minor bug fixing
- import dialoag added

* Thu Dec 13 2007 Dave Sugar <dsugar@tresys.com> - 1.3.5-0.1.svn2028
- some minor bug fixes

* Mon Dec 10 2007 Dave Sugar <dsugar@tresys.com> - 1.3.5-0.1.svn2022
- use source from SVN because we are back in pre-release version
- changes to audit view to fix filtering bug
- remove dependency on copied StringMatcher

* Thu Dec 6 2007 Dave Sugar <dsugar@tresys.com> - 1.3.4-3
- remove explicit vendor setting
- fix licenses on some files

* Wed Dec 5 2007 Dave Sugar <dsugar@tresys.com> - 1.3.4-2
- missing build requirement on ganymed-ssh2 rpm

* Wed Dec 5 2007 Dave Sugar <dsugar@tresys.com> - 1.3-4-1
- public release update version to 1.3.4-1

* Fri Nov 30 2007 Dave Sugar <dsugar@tresys.com> - 1.3.4-0.1.svn2002
- update dependency for SETools 3.3.2
- keep timestamps when copying
- remove perl XPath dependency it isn't need any longer since major version is now static in the SPEC file.
- simplify file entries
- make relative symlink
- correct version because this is still pre-release

* Wed Nov 11 2007 Dave Sugar <dsugar@tresys.com> - 1.2.4-4
- ok, needed to move version into the SPEC - put major version 
	in SPEC and pull other versions from source during  install

* Thu Nov 01 2007 Dave Sugar <dsugar@tresys.com> - 1.2.4-3
- use source tar instead of directly from SVN

* Thu Oct 11 2007 Dave Sugar <dsugar@tresys.com> - 1.2.4-2
- Include src in tar file

* Tue Aug 28 2007 Dave Sugar <dsugar@tresys.com> - 1.2.4-1
- update SPEC to conform to Fedora standards

* Tue Aug 21 2007 Dave Sugar <dsugar@tresys.com> - 1.2.3
- Public release 
